import React, {useState, useEffect} from 'react'
import {OrderDetails, SearchOrder} from 'components'
import { OrderService } from 'services';
import { Order } from 'Order';
import { useAllOrders } from 'hooks'
import {
    Table,
    Thead,
    Tbody,
    Tfoot,
    Tr,
    Th,
    Td,
    TableCaption,
  } from "@chakra-ui/react"

const OrderIndexPage = () => {
    const { orders } = useAllOrders();


    const orderDetailsArr = orders.map((order: Order, idx: any) => {
        return <tr key={idx}><OrderDetails
            date={order.orderCreatedAt} 
            orderNumber={order.id}
            status={order.orderStatus}
            /></tr>
    })

    return (
        <div className="table-div">
            <Table variant="striped" colorScheme="linkedin" size="lg">
                <Tbody>
                    <Tr>
                        <Th>Order number</Th>
                        <Th>Created</Th>
                        <Th>Order Status</Th>
                    </Tr>
                    {orderDetailsArr}
                </Tbody>
            </Table>
            <SearchOrder orders={orders}/>
        </div>
    )
}

export default OrderIndexPage
